jwt_config_t Struct Reference
JSON Web Token » Claims and Headers » JWT Functions

Structure used to pass state with a user callback. More...

## Data Fields

const jwk_item_t * | key
jwt_alg_t | alg
void * | ctx

## Detailed Description

Structure used to pass state with a user callback.

## Field Documentation

## alg

jwt_alg_t jwt_config_t::alg

For algorithm matching

## ctx

void* jwt_config_t::ctx

User controlled context

## key

const jwk_item_t* jwt_config_t::key

A JWK to use for key